module Fahrenheit::AlephUbpb::Adapter::Items::StatusCodes
  @@status_codes = {
    20 => { description: "Normalausleihe",           loanable: true,  only_short_loanable: false },
    21 => { description: "Magazinausleihe",          loanable: true,  only_short_loanable: false },
    23 => { description: "Tischapparat",             loanable: false, only_short_loanable: false },
    24 => { description: "Normalausleihe",           loanable: true,  only_short_loanable: false },
    25 => { description: "Normalausleihe",           loanable: true,  only_short_loanable: false },
    26 => { description: "Normalausleihe",           loanable: true,  only_short_loanable: false },
    27 => { description: "Magazinausleihe",          loanable: true,  only_short_loanable: false },
    30 => { description: "Kurzausleihe",             loanable: true,  only_short_loanable: true  },
    31 => { description: "Magazin-Kurzausleihe",     loanable: true,  only_short_loanable: true  },
    32 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    33 => { description: "Seminarapparat",           loanable: false, only_short_loanable: false },
    34 => { description: "Kurzausleihe",             loanable: true,  only_short_loanable: true  },
    35 => { description: "Kurzausleihe",             loanable: true,  only_short_loanable: true  },
    36 => { description: "Kurzausleihe",             loanable: true,  only_short_loanable: true  },
    37 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    38 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    40 => { description: "Kurzausleihe",             loanable: true,  only_short_loanable: true  },
    41 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    42 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    43 => { description: "Handapparat",              loanable: false, only_short_loanable: false },
    44 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    47 => { description: "Magazin-Kurzausleihe",     loanable: true,  only_short_loanable: true  },
    48 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    49 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    50 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    53 => { description: "4-Wochen-Ausleihe",        loanable: true,  only_short_loanable: false },
    55 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    58 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    60 => { description: "Nicht ausleihbar",         loanable: false, only_short_loanable: false },
    61 => { description: "Magazin-5-Tage-Ausleihe",  loanable: true,  only_short_loanable: true  },
    63 => { description: "6-Monats-Ausleihe",        loanable: true,  only_short_loanable: false },
    68 => { description: "Magazin-Präsenzausleihe",  loanable: false, only_short_loanable: false },
    73 => { description: "FL Abholung, Keine Verl.", loanable: true,  only_short_loanable: false },
    74 => { description: "FL Lesesaal, Keine Verl.", loanable: true,  only_short_loanable: false }
  }

  def self.[](status_code)
    @@status_codes[status_code.to_i]
  end
end
